# $Revision: 1.38 $, $Date: 2007/05/19 13:51:41 $
%define		ver_ver		5.0
%define		ver_release	20060507

Summary:	Curses Development Kit
Summary(pl.UTF-8):	Zestaw programistyczny do Curses
Name:		cdk
Version:	%{ver_ver}_td%{ver_release}
Release:	1
License:	BSD
Group:		Libraries
Source0:	ftp://dickey.his.com/cdk/%{name}-%{ver_ver}-%{ver_release}.tgz
# Source0-md5:	0ec2460a4484d5f5595d8faca61bc9c5
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
# Source1-md5:	ae2a6fea526cc1c4407e547bda537a08
Patch0:		%{name}-ncurses.patch
Patch1:		%{name}-man.patch
URL:		http://dickey.his.com/cdk/cdk.html
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CDK is a widget set developed on top of the basic curses library. It
contains 21 ready to use widgets. Some which are a text entry field, a
scrolling list, a selection list, a alphalist, pull-down menu, radio
list, viewer widget, dialog box, and many more.

This version of CDK is maintained by Thomas Dickey and is not the same
as that at <http://www.vexus.ca/CDK.html>.

%description -l pl.UTF-8
CDK to zestaw widgetów zbudowanych na podstawie biblioteki curses.
Zawiera 21 gotowych go użycia widgetów. Wśród nich jest pole
wprowadzania tekstu, lista przewijana, lista wyboru, lista
alfabetyczna, menu rozwijane, lista przycisków, przeglądarka, okienko
dialogowe i wiele innych.

Ta wersja CDK jest prowadzona przez Thomasa Dickeya i nie jest tym
samym, co znajduje się pod adresem <http://www.vexus.ca/CDK.html>.

%package devel
Summary:	Header files and development documentation for CDK library
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do CDK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ncurses-devel

%description devel
Header files and development documentation for CDK library. This
version is maintained by Thomas Dickey and is not the same as that at
<http://www.vexus.ca/CDK.html>.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do biblioteki CDK. Ta
wersja jest prowadzona przez Thomasa Dickeya i nie jest tym samym, co
znajduje się pod adresem <http://www.vexus.ca/CDK.html>.

%package static
Summary:	Static version of CDK library
Summary(pl.UTF-8):	Statyczna wersja biblioteki CDK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of CDK library. This version is maintained by Thomas
Dickey and is not the same as that at <http://www.vexus.ca/CDK.html>.

%description static -l pl.UTF-8
Statyczna wersja biblioteki CDK. Ta wersja jest prowadzona przez
Thomasa Dickeya i nie jest tym samym, co znajduje się pod adresem
<http://www.vexus.ca/CDK.html>.

%prep
%setup -q -n %{name}-%{ver_ver}-%{ver_release}
%patch0 -p1
%patch1 -p1

ln -sf . include/cdk

%build
# -funsigned-char gives valid 8bit display
CFLAGS="%{rpmcflags} -funsigned-char"
CPPFLAGS="-I/usr/include/ncurses"
%configure2_13 \
	--disable-x \
	--with-ncurses
%{__make}
%{__make} cdkshlib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} installCDKSHLibrary installCDKLibrary \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} installCDKHeaderFiles installCDKManPages \
	DESTDIR=$RPM_BUILD_ROOT

bzcat %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

for d in demos examples; do
	rm -f $d/Makefile.in
	mkf=$d/Makefile
	sed 's|\-I\.\..*/include |\-I%{_includedir}/cdk |' <$mkf >$mkf.fix
	mv -f $mkf.fix $mkf
done
cp -rf demos examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc CHANGES COPYING EXPANDING NOTES README TODO
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/cdk
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cdk.spec,v $
Revision 1.38  2007/05/19 13:51:41  arekm
- up to 20060507; use groff symlinks for man pages

Revision 1.37  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.35  2006/10/23 21:27:35  arekm
- rel 3

Revision 1.34  2006/09/29 11:59:50  arekm
- rel 2

Revision 1.33  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.32  2005/12/05 17:22:19  witekfl
- updated to 5.0

Revision 1.31  2005/05/30 20:59:36  zbyniu
- BR: ncurses-devel

Revision 1.30  2004/11/07 11:41:12  paladine
- cosmetics

Revision 1.29  2004/01/31 11:08:40  kosmo
- updated to 4.9.11 (20031210)

Revision 1.28  2003/08/06 16:42:24  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.27  2003/07/08 09:06:44  qboosh
- removed redundant /s from paths

Revision 1.26  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.25  2003/06/13 13:38:15  ankry
- updated to newer snapshot; previous version unavailable

Revision 1.24  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.23  2003/05/25 05:46:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/03/28 17:14:42  qboosh
- updated to 4.9.10-20020727
- updated includes patch (but patch only headers)

Revision 1.21  2002/06/16 15:02:19  qboosh
- new %doc
- moved demos and examples to %{_examplesdir}
- release 6

Revision 1.20  2002/05/06 23:40:32  ankry
- added man page redirections (basing on Debian's)
- removed duplicate entries from cdk_menu.3
- release 5, STBR

Revision 1.19  2002/04/25 15:57:54  arturs
- fixed a small typo

Revision 1.18  2002/04/07 10:49:21  mkochano
- Release 4.
- -devel subpackage requires ncurses-devel.

Revision 1.17  2002/02/24 23:25:12  kloczek
- release 3.

Revision 1.16  2002/02/23 01:33:39  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:12:32  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/21 15:32:10  qboosh
- adapterized, pl descriptions

Revision 1.12  2001/10/01 09:34:04  marcus
- %configure2_13

Revision 1.11  2001/04/19 10:37:50  mis
- added includes patch (release 2)

Revision 1.10  2001/04/19 00:23:15  kloczek
- added using %{rpmcflags} macro and adapterized.

Revision 1.9  2001/04/18 17:24:46  mis
- updated to 20010106

Revision 1.8  2001/01/25 20:03:22  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2000/12/23 00:48:43  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.6  2000/11/17 06:43:59  kloczek
- typo.

Revision 1.5  2000/11/17 06:37:35  kloczek
- use new rpm automation and few cosmetics.

Revision 1.4  2000/11/16 15:57:18  mis
- updated to 4.9.10

Revision 1.3  2000/07/03 13:20:21  mis
- added source archive with version number

Revision 1.2  2000/07/03 12:12:24  mis
- updated to patch level 20000628

Revision 1.1  2000/06/27 16:37:25  mis
- initial version (based on mhash.spec)
